/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/*
 *  ORBit: A CORBA v2.2 ORB
 *
 *  Copyright (C) 1998 Richard H. Porter
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Author: Dick Porter <dick@cymru.net>
 *
 */

#include <assert.h>

#include "orbit.h"

struct CORBA_TypeCode_struct TC_null=
	{CORBA_tk_null, "null", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_void=
	{CORBA_tk_void, "void", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_short=
	{CORBA_tk_short, "short", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_long=
	{CORBA_tk_long, "long", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_longlong=
	{CORBA_tk_longlong, "long long", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_ushort=
	{CORBA_tk_ushort, "unsigned short", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_ulong=
	{CORBA_tk_ulong, "unsigned long", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_ulonglong=
	{CORBA_tk_ulonglong, "unsigned long long", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_float=
	{CORBA_tk_float, "float", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_double=
	{CORBA_tk_double, "double", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_longdouble=
	{CORBA_tk_longdouble, "long double", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_boolean=
	{CORBA_tk_boolean, "boolean", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_char=
	{CORBA_tk_char, "char", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_wchar=
	{CORBA_tk_wchar, "wide char", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_octet=
	{CORBA_tk_octet, "octet", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_any=
	{CORBA_tk_any, "any", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_TypeCode=
	{CORBA_tk_TypeCode, "TypeCode", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_Principal=
	{CORBA_tk_Principal, "Principal", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_Object=
	{CORBA_tk_objref, "Object Reference", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_string=
	{CORBA_tk_string, "string", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_wstring=
	{CORBA_tk_wstring, "wide string", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_CORBA_NamedValue=
	{CORBA_tk_struct, "CORBA NamedValue", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_CORBA_InterfaceDescription=
	{CORBA_tk_struct, "CORBA InterfaceDescription", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_CORBA_OperationDescription=
	{CORBA_tk_struct, "CORBA OperationDescription", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_CORBA_AttributeDescription=
	{CORBA_tk_struct, "CORBA AttributeDescription", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_CORBA_ParameterDescription=
	{CORBA_tk_struct, "CORBA ParameterDescription", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_CORBA_ModuleDescription=
	{CORBA_tk_struct, "CORBA ModuleDescription", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_CORBA_ConstantDescription=
	{CORBA_tk_struct, "CORBA ConstantDescription", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_CORBA_ExceptionDescription=
	{CORBA_tk_struct, "CORBA ExceptionDescription", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_CORBA_TypeDescription=
	{CORBA_tk_struct, "CORBA TypeDescription", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
struct CORBA_TypeCode_struct TC_CORBA_InterfaceDef_FullInterfaceDescription=
	{CORBA_tk_struct, "CORBA InterfaceDef FullInterfaceDescription", "", 0, 0, NULL, NULL, NULL, NULL, -1, 0, 0, 0};
